Admin flagged project detail
GET
/api/v1/admin/abuse-scans/{id}
const url = 'https://api.deploybase.eu/api/v1/api/v1/admin/abuse-scans/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.deploybase.eu/api/v1/api/v1/admin/abuse-scans/example \ --header 'Authorization: <Authorization>'One scan with its matches, the project’s hostnames and the non-rejected abuse reports naming them.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” id
required
string
Scan ID
Responses
Section titled “ Responses ”OK
Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
deployment_url
DeploymentURL is the scanned deployment’s URL, as text: never render it as a link.
string
hosts
Array<string>
reports
Array<object>
object
category
string
created_at
string
id
string
status
string
scan
object
branch
string
created_at
string
deployment_id
string
error
string
files_scanned
integer
handled_at
string
handled_by
string
id
string
matches
Array<object>
object
category
string
examples
Array<object>
object
path
string
snippet
string
hits
integer
rule_id
string
priority
string
project_id
string
resolution
string
review_status
string
scanned_at
string
score
integer
status
string
team_id
string
truncated
boolean
team
object
name
string
plan
string
suspended
boolean
Example generated
{ "data": { "deployment_url": "example", "hosts": [ "example" ], "reports": [ { "category": "example", "created_at": "example", "id": "example", "status": "example" } ], "scan": { "branch": "example", "created_at": "example", "deployment_id": "example", "error": "example", "files_scanned": 1, "handled_at": "example", "handled_by": "example", "id": "example", "matches": [ { "category": "example", "examples": [ { "path": "example", "snippet": "example" } ], "hits": 1, "rule_id": "example" } ], "priority": "example", "project_id": "example", "resolution": "example", "review_status": "example", "scanned_at": "example", "score": 1, "status": "example", "team_id": "example", "truncated": true }, "team": { "name": "example", "plan": "example", "suspended": true } }, "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Bad Request
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Unauthorized
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Forbidden
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Not Found
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Internal Server Error
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Service Unavailable
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Live 174db30c built